Bug 117545 - [New Port] devel/monodevelop
Summary: [New Port] devel/monodevelop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-mono mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-27 00:40 UTC by Phillip N.
Modified: 2009-09-07 18:20 UTC (History)
0 users

See Also:


Attachments
monodevelop.shar (16.94 KB, text/plain)
2007-10-27 00:40 UTC, Phillip N.
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Phillip N. 2007-10-26 23:55:19 UTC
This pr depends on ports/117551
Comment 1 Phillip N. 2007-10-27 00:40:03 UTC

Taked from the bsd-sharp monodevelop port.

MonoDevelop is a free GNOME integrated development environment (IDE) 
primarily designed for C# and other .NET languages. 


Thanks!
Comment 2 Tom McLaughlin freebsd_committer 2007-10-27 17:47:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tmclaugh

Grab
Comment 3 Romain Tartière 2009-08-18 10:48:43 UTC
On Mon, Aug 17, 2009 at 09:52:26AM +0200, Romain Tartière wrote:
> The attached patch supersedes this (old) PR.


Patch got mangled on the mono@ list AND gnats...  2nd try inlining it.


--- monodevelop.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	monodevelop
#	monodevelop/files
#	monodevelop/files/patch-WelcomePageContent.xml
#	monodevelop/files/patch-SystemAssemblyService.cs
#	monodevelop/files/patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs
#	monodevelop/files/patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config
#	monodevelop/files/patch-LibApr.cs
#	monodevelop/files/patch-theme-icons_icon-theme-installer
#	monodevelop/files/patch-LibSvnClient.cs
#	monodevelop/files/patch-src_addins_CBinding_Parser_TagDatabaseManager.cs
#	monodevelop/distinfo
#	monodevelop/pkg-descr
#	monodevelop/pkg-plist
#	monodevelop/Makefile
#
echo c - monodevelop
mkdir -p monodevelop > /dev/null 2>&1
echo c - monodevelop/files
mkdir -p monodevelop/files > /dev/null 2>&1
echo x - monodevelop/files/patch-WelcomePageContent.xml
sed 's/^X//' >monodevelop/files/patch-WelcomePageContent.xml << 'ff46c9570160a03920aa3ac840f34058'
X--- src/addins/WelcomePage/WelcomePageContent.xml.orig	2008-12-22 20:22:30.000000000 -0300
X+++ src/addins/WelcomePage/WelcomePageContent.xml	2008-12-22 20:24:10.000000000 -0300
X@@ -16,6 +16,11 @@
X 	
X 	<Links _title="Support Links">
X 		<Link
X+                       href="http://www.mono-project.com/Mono:FreeBSD"
X+                       _title="BSD# Project Home Page"
X+               />
X+               <Link
X+
X 			href="http://www.monodevelop.com"
X 			_title="MonoDevelop Home Page"
X 		/>
ff46c9570160a03920aa3ac840f34058
echo x - monodevelop/files/patch-SystemAssemblyService.cs
sed 's/^X//' >monodevelop/files/patch-SystemAssemblyService.cs << 'f2069bbeb3178508d4411e29eda1a60c'
X
X$FreeBSD$
X
X--- src/core/MonoDevelop.Core/MonoDevelop.Core/SystemAssemblyService.cs.orig
X+++ src/core/MonoDevelop.Core/MonoDevelop.Core/SystemAssemblyService.cs
X@@ -412,6 +412,7 @@
X 			
X 			string[] suffixes = new string [] {
X 				Path.Combine ("lib", "pkgconfig"),
X+				Path.Combine ("libdata", "pkgconfig"),
X 				Path.Combine ("lib64", "pkgconfig"),
X 				Path.Combine ("share", "pkgconfig"),
X 			};
f2069bbeb3178508d4411e29eda1a60c
echo x - monodevelop/files/patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs
sed 's/^X//' >monodevelop/files/patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs << 'b9537b0056e60b9b471c64e743f195d2'
X
X$FreeBSD$
X
X--- src/addins/CBinding/Navigation/ProjectNodeBuilderExtension.cs.orig
X+++ src/addins/CBinding/Navigation/ProjectNodeBuilderExtension.cs
X@@ -97,7 +97,7 @@
X 			check_ctags = true;
X 			
X 			try {
X-				ProcessWrapper p = Runtime.ProcessService.StartProcess ("ctags", "--version", null, null);
X+				ProcessWrapper p = Runtime.ProcessService.StartProcess ("exctags", "--version", null, null);
X 				p.WaitForOutput ();
X 				have_ctags = true;
X 			} catch {
b9537b0056e60b9b471c64e743f195d2
echo x - monodevelop/files/patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config
sed 's/^X//' >monodevelop/files/patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config << '3aa7559484dbd1feb34daad3049702ca'
X
X$FreeBSD$
X
X--- src/core/MonoDevelop.Projects/MonoDevelop.Projects.dll.config.orig
X+++ src/core/MonoDevelop.Projects/MonoDevelop.Projects.dll.config
X@@ -1,4 +1,4 @@
X <configuration>
X-  <dllmap dll="libglib-2.0-0.dll" target="libglib-2.0.so.0" os="linux" />
X+  <dllmap dll="libglib-2.0-0.dll" target="libglib-2.0.so.0" os="!osx,windows" />
X   <dllmap dll="libglib-2.0-0.dll" target="libglib-2.0.dylib" os="osx" />
X </configuration>
3aa7559484dbd1feb34daad3049702ca
echo x - monodevelop/files/patch-LibApr.cs
sed 's/^X//' >monodevelop/files/patch-LibApr.cs << '0960a40c4c77676a8aaee21867aed3fc'
X--- src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs.orig	2008-12-22 19:02:40.000000000 -0300
X+++ src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs	2008-12-22 19:02:53.000000000 -0300
X@@ -65,7 +65,7 @@
X 
X 	public class LibApr0: LibApr
X 	{
X-		private const string aprlib = "libapr-0.so.0";
X+		private const string aprlib = "libapr-1.so.3";
X 		
X 		public override void initialize() { apr_initialize (); }
X 		public override IntPtr pool_create_ex (out IntPtr pool, IntPtr parent, IntPtr abort, IntPtr allocator) { return apr_pool_create_ex(out pool, parent, abort, allocator); }
0960a40c4c77676a8aaee21867aed3fc
echo x - monodevelop/files/patch-theme-icons_icon-theme-installer
sed 's/^X//' >monodevelop/files/patch-theme-icons_icon-theme-installer << '2e00847088dfe422e765db72b6b447e1'
X
X$FreeBSD$
X
X--- theme-icons/icon-theme-installer.orig
X+++ theme-icons/icon-theme-installer
X@@ -1,4 +1,4 @@
X-#!/bin/bash
X+#!/usr/bin/env bash
X 
X # icon-theme-installer
X # Copyright (C) 2006 Novell, Inc.
X@@ -101,12 +101,12 @@
X 	exit 1
X fi
X 
X-if test ! -x $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
X+if ! which $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
X 	echo "Cannot find '$MKINSTALLDIRS_EXEC'; You probably want to pass -m \$(mkinstalldirs)"
X 	exit 1
X fi
X 
X-if test ! -x $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
X+if ! which $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
X 	echo "Cannot find '$INSTALL_DATA_EXEC'; You probably want to pass -x \$(INSTALL_DATA)"
X 	exit 1
X fi
2e00847088dfe422e765db72b6b447e1
echo x - monodevelop/files/patch-LibSvnClient.cs
sed 's/^X//' >monodevelop/files/patch-LibSvnClient.cs << '2828178ed3ad1417d54bf82a1be76d13'
X
X$FreeBSD$
X
X--- src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs.orig
X+++ src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs
X@@ -600,6 +600,7 @@
X 	
X 	public class LibSvnClient0 : LibSvnClient {
X 		private const string svnclientlib = "libsvn_client-1.so.0";
X+		private const string svnsubrlib = "libsvn_subr-1.so.0";
X 		
X 		public override void config_ensure (string config_dir, IntPtr pool)
X 		{
X@@ -843,11 +844,11 @@
X 			return svn_client_prop_get (out value, name, target, ref revision, recurse, ctx, pool);
X 		}
X 		
X-		[DllImport(svnclientlib)] static extern void svn_config_ensure (string config_dir, IntPtr pool);
X-		[DllImport(svnclientlib)] static extern void svn_config_get_config (ref IntPtr cfg_hash, string config_dir, IntPtr pool);
X-		[DllImport(svnclientlib)] static extern void svn_auth_open (out IntPtr auth_baton, IntPtr providers, IntPtr pool);
X-		[DllImport(svnclientlib)] static extern void svn_auth_set_parameter (IntPtr auth_baton, string name, IntPtr value);
X-		[DllImport(svnclientlib)] static extern IntPtr svn_auth_get_parameter (IntPtr auth_baton, string name);
X+		[DllImport(svnsubrlib)] static extern void svn_config_ensure (string config_dir, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern void svn_config_get_config (ref IntPtr cfg_hash, string config_dir, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern void svn_auth_open (out IntPtr auth_baton, IntPtr providers, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern void svn_auth_set_parameter (IntPtr auth_baton, string name, IntPtr value);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_auth_get_parameter (IntPtr auth_baton, string name);
X 		[DllImport(svnclientlib)] static extern void svn_client_get_simple_provider (IntPtr item, IntPtr pool);
X 		[DllImport(svnclientlib)] static extern void svn_client_get_simple_prompt_provider (IntPtr item, svn_auth_simple_prompt_func_t prompt_func, IntPtr prompt_batton, [MarshalAs (UnmanagedType.SysInt)] int retry_limit, IntPtr pool);
X 		[DllImport(svnclientlib)] static extern void svn_client_get_username_provider (IntPtr item, IntPtr pool);
X@@ -880,7 +881,7 @@
X 		                                                               IntPtr receiver_baton,
X 		                                                               IntPtr ctx, IntPtr pool);
X 		
X-		[DllImport(svnclientlib)] static extern IntPtr svn_time_from_cstring (out long aprtime, string time, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_time_from_cstring (out long aprtime, string time, IntPtr pool);
X 		
X 		[DllImport(svnclientlib)] static extern IntPtr svn_client_url_from_path (ref IntPtr url, string path_or_url, IntPtr pool);
X 		
X@@ -889,11 +890,11 @@
X 		                                                                ref Rev revision,
X 		                                                                IntPtr ctx, IntPtr pool);
X 		
X-		[DllImport(svnclientlib)] static extern IntPtr svn_stream_create (IntPtr baton, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_stream_create (IntPtr baton, IntPtr pool);
X 		
X 		//[DllImport(svnclientlib)] static extern IntPtr svn_stream_set_read (IntPtr stream, svn_readwrite_fn_t reader);
X 		
X-		[DllImport(svnclientlib)] static extern IntPtr svn_stream_set_write (IntPtr stream, svn_readwrite_fn_t writer);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_stream_set_write (IntPtr stream, svn_readwrite_fn_t writer);
X 		
X 		[DllImport(svnclientlib)] static extern IntPtr svn_client_update (IntPtr result_rev, string path, ref Rev revision,
X 		                                                                  int recurse, IntPtr ctx, IntPtr pool);
2828178ed3ad1417d54bf82a1be76d13
echo x - monodevelop/files/patch-src_addins_CBinding_Parser_TagDatabaseManager.cs
sed 's/^X//' >monodevelop/files/patch-src_addins_CBinding_Parser_TagDatabaseManager.cs << 'e8038474b1c189bd3d2f67a0bf6556a3'
X
X$FreeBSD$
X
X--- src/addins/CBinding/Parser/TagDatabaseManager.cs.orig
X+++ src/addins/CBinding/Parser/TagDatabaseManager.cs
X@@ -86,7 +86,7 @@
X 						return false;
X 					}
X 					try {
X-						Runtime.ProcessService.StartProcess ("ctags", "--version", null, null).WaitForOutput ();
X+						Runtime.ProcessService.StartProcess ("exctags", "--version", null, null).WaitForOutput ();
X 					} catch {
X 						LoggingService.LogWarning ("Cannot update C/C++ tags database because exuberant ctags is not installed.");
X 						return false;
X@@ -273,7 +273,7 @@
X 				try {
X 					output = new System.IO.StringWriter ();
X 					
X-					p = Runtime.ProcessService.StartProcess ("ctags", ctags_options, null, null, output, null);
X+					p = Runtime.ProcessService.StartProcess ("exctags", ctags_options, null, null, output, null);
X 					p.WaitForOutput (10000);
X 					if (p.ExitCode != 0 || !File.Exists (tagFullFileName)) {
X 						LoggingService.LogError ("Ctags did not successfully populate the tags database '{0}' within ten seconds.\nOutput: {1}", tagFullFileName, output.ToString ());
X@@ -377,7 +377,7 @@
X 				output = new System.IO.StringWriter ();
X 				error = new System.IO.StringWriter ();
X 				
X-				p = Runtime.ProcessService.StartProcess ("ctags", ctags_options, project.BaseDirectory, output, error, null);
X+				p = Runtime.ProcessService.StartProcess ("exctags", ctags_options, project.BaseDirectory, output, error, null);
X 				p.WaitForOutput (10000);
X 				if (p.ExitCode != 0) {
X 					LoggingService.LogError ("Ctags did not successfully populate the tags database from '{0}' within ten seconds.\nError output: {1}", filename, error.ToString ());
e8038474b1c189bd3d2f67a0bf6556a3
echo x - monodevelop/distinfo
sed 's/^X//' >monodevelop/distinfo << '1a4cc67f3bd269bce833fa8b5fcd4068'
XMD5 (monodevelop-2.0.tar.bz2) = 0f527204ffd4785284d9556a75524c3e
XSHA256 (monodevelop-2.0.tar.bz2) = 573fd6dda40f6b46866bb8b40b92d2ed279be504d2e943ab5ae65e38c136d984
XSIZE (monodevelop-2.0.tar.bz2) = 5010211
1a4cc67f3bd269bce833fa8b5fcd4068
echo x - monodevelop/pkg-descr
sed 's/^X//' >monodevelop/pkg-descr << 'c92ea17ba98895afa7dcd643d5bd6807'
XMonoDevelop is a free GNOME integrated development environment (IDE) 
Xprimarily designed for C# and other .NET languages. 
X
XIt was originally a port of SharpDevelop 0.98.
X
XThe main features of MonoDevelop are:
X
X	* Code Completion
X	* Class Management
X	* Built-in Help
X	* Project Support
X	* Add-ins
X
XWWW: http://monodevelop.com/
c92ea17ba98895afa7dcd643d5bd6807
echo x - monodevelop/pkg-plist
sed 's/^X//' >monodevelop/pkg-plist << 'c5001eaddf4c5934a0436505e9123616'
Xbin/mdtool
Xbin/monodevelop
Xlib/monodevelop/AddIns/BackendBindings/ILAsmBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/ILAsmBinding.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CBinding.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.Autotools.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.Autotools.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll.mdb
Xlib/monodevelop/AddIns/ChangeLogAddIn/ChangeLogAddIn.dll
Xlib/monodevelop/AddIns/ChangeLogAddIn/ChangeLogAddIn.dll.mdb
Xlib/monodevelop/AddIns/GnomePlatform/GnomePlatform.dll
Xlib/monodevelop/AddIns/GnomePlatform/GnomePlatform.dll.config
Xlib/monodevelop/AddIns/GnomePlatform/GnomePlatform.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/W3C-License.html
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/readme.txt
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/xhtml1-frameset.xsd
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/xhtml1-strict.xsd
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/xhtml1-transitional.xsd
Xlib/monodevelop/AddIns/MonoDevelop.AssemblyBrowser.dll
Xlib/monodevelop/AddIns/MonoDevelop.AssemblyBrowser.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.am.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.include
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.noauto.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.solution.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/autogen.sh.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/configure.ac.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/configure.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/exe.wrapper.in.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/expansions.m4
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/make-dist.targets
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/package.pc.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/rules.make
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.am.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.include
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.noauto.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.solution.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/autogen.sh.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/configure.ac.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/configure.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/exe.wrapper.in.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/expansions.m4
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/make-dist.targets
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/package.pc.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/rules.make
Xlib/monodevelop/AddIns/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.dll
Xlib/monodevelop/AddIns/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Debugger/MonoDevelop.Debugger.dll
Xlib/monodevelop/AddIns/MonoDevelop.Debugger/MonoDevelop.Debugger.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll
Xlib/monodevelop/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Gettext/MonoDevelop.Gettext.dll
Xlib/monodevelop/AddIns/MonoDevelop.Gettext/MonoDevelop.Gettext.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.config
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libsteticui.dll
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libsteticui.dll.config
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libsteticui.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.MsVisualStudio/MonoDevelop.MsVisualStudio.dll
Xlib/monodevelop/AddIns/MonoDevelop.MsVisualStudio/MonoDevelop.MsVisualStudio.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.RegexToolkit/MonoDevelop.RegexToolkit.dll
Xlib/monodevelop/AddIns/MonoDevelop.RegexToolkit/MonoDevelop.RegexToolkit.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.SourceEditor2.dll
Xlib/monodevelop/AddIns/MonoDevelop.SourceEditor2.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.WebReferences/MonoDevelop.WebReferences.dll
Xlib/monodevelop/AddIns/MonoDevelop.WebReferences/MonoDevelop.WebReferences.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/MonoDevelopAddIn.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/W3C-License.html
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/XMLSchema.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/appconfig.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/manifest.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/nant.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/readme.txt
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/xslt.xsd
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions.dll
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions.dll.mdb
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions_nunit.dll
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions_nunit.dll.mdb
Xlib/monodevelop/AddIns/NUnit/MonoDevelop.NUnit.dll
Xlib/monodevelop/AddIns/NUnit/MonoDevelop.NUnit.dll.mdb
Xlib/monodevelop/AddIns/NUnit/NUnitRunner.dll
Xlib/monodevelop/AddIns/NUnit/NUnitRunner.dll.mdb
Xlib/monodevelop/AddIns/NUnit/nunit.core.dll
Xlib/monodevelop/AddIns/NUnit/nunit.core.interfaces.dll
Xlib/monodevelop/AddIns/NUnit/nunit.framework.dll
Xlib/monodevelop/AddIns/NUnit/nunit.util.dll
Xlib/monodevelop/AddIns/VersionControl/Diff.dll
Xlib/monodevelop/AddIns/VersionControl/Diff.dll.mdb
Xlib/monodevelop/AddIns/VersionControl/DiffWidget.dll
Xlib/monodevelop/AddIns/VersionControl/DiffWidget.dll.mdb
X%%SVN%%lib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.Subversion.dll
X%%SVN%%lib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.Subversion.dll.config
X%%SVN%%lib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.Subversion.dll.mdb
Xlib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.dll
Xlib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.dll.mdb
Xlib/monodevelop/AddIns/WelcomePage/WelcomePage.css
Xlib/monodevelop/AddIns/WelcomePage/WelcomePage.dll
Xlib/monodevelop/AddIns/WelcomePage/WelcomePage.dll.mdb
Xlib/monodevelop/AddIns/WelcomePage/mono-bg.png
Xlib/monodevelop/AddIns/WelcomePage/mono-decoration.png
Xlib/monodevelop/AddIns/WelcomePage/mono-logo.png
Xlib/monodevelop/bin/Mono.Cecil.Mdb.dll
Xlib/monodevelop/bin/Mono.Cecil.Mdb.dll.mdb
Xlib/monodevelop/bin/Mono.Cecil.dll
Xlib/monodevelop/bin/Mono.Cecil.dll.mdb
Xlib/monodevelop/bin/Mono.Debugging.dll
Xlib/monodevelop/bin/Mono.Debugging.dll.mdb
Xlib/monodevelop/bin/Mono.TextEditor.dll
Xlib/monodevelop/bin/Mono.TextEditor.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Components.dll
Xlib/monodevelop/bin/MonoDevelop.Components.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Core.Gui.dll
Xlib/monodevelop/bin/MonoDevelop.Core.Gui.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Core.dll
Xlib/monodevelop/bin/MonoDevelop.Core.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Dock.dll
Xlib/monodevelop/bin/MonoDevelop.Dock.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Ide.dll
Xlib/monodevelop/bin/MonoDevelop.Ide.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Projects.Gui.dll
Xlib/monodevelop/bin/MonoDevelop.Projects.Gui.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Projects.dll
Xlib/monodevelop/bin/MonoDevelop.Projects.dll.config
Xlib/monodevelop/bin/MonoDevelop.Projects.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.exe
Xlib/monodevelop/bin/MonoDevelop.exe.addins
Xlib/monodevelop/bin/MonoDevelop.exe.config
Xlib/monodevelop/bin/MonoDevelop.exe.mdb
Xlib/monodevelop/bin/NRefactory.dll
Xlib/monodevelop/bin/NRefactory.dll.mdb
Xlib/monodevelop/bin/mdhost.exe
Xlib/monodevelop/bin/mdhost.exe.mdb
Xlib/monodevelop/bin/mdrun.exe
Xlib/monodevelop/bin/mdrun.exe.config
Xlib/monodevelop/bin/mdrun.exe.mdb
Xlib/monodevelop/data/options/DefaultEditingLayout.xml
Xlib/monodevelop/data/options/MonoDevelop-templates.xml
Xlib/monodevelop/data/options/MonoDevelop-tools.xml
Xlib/monodevelop/data/options/MonoDevelopProperties.xml
Xlib/monodevelop/data/options/StandardHeader.xml
Xlib/monodevelop/data/options/TipsOfTheDay.xml
Xlibdata/pkgconfig/monodevelop.pc
Xlibdata/pkgconfig/monodevelop-core-addins.pc
Xshare/applications/monodevelop.desktop
Xshare/icons/hicolor/16x16/apps/monodevelop.png
Xshare/icons/hicolor/22x22/apps/monodevelop.png
Xshare/icons/hicolor/24x24/apps/monodevelop.png
Xshare/icons/hicolor/32x32/apps/monodevelop.png
Xshare/icons/hicolor/48x48/apps/monodevelop.png
Xshare/icons/hicolor/scalable/apps/monodevelop.svg
Xshare/locale/ca/LC_MESSAGES/monodevelop.mo
Xshare/locale/cs/LC_MESSAGES/monodevelop.mo
Xshare/locale/da/LC_MESSAGES/monodevelop.mo
Xshare/locale/de/LC_MESSAGES/monodevelop.mo
Xshare/locale/es/LC_MESSAGES/monodevelop.mo
Xshare/locale/fr/LC_MESSAGES/monodevelop.mo
Xshare/locale/gl/LC_MESSAGES/monodevelop.mo
Xshare/locale/hu/LC_MESSAGES/monodevelop.mo
Xshare/locale/id/LC_MESSAGES/monodevelop.mo
Xshare/locale/it/LC_MESSAGES/monodevelop.mo
Xshare/locale/ja/LC_MESSAGES/monodevelop.mo
Xshare/locale/nl/LC_MESSAGES/monodevelop.mo
Xshare/locale/sl/LC_MESSAGES/monodevelop.mo
Xshare/locale/pl/LC_MESSAGES/monodevelop.mo
Xshare/locale/pt/LC_MESSAGES/monodevelop.mo
Xshare/locale/pt_BR/LC_MESSAGES/monodevelop.mo
Xshare/locale/ru/LC_MESSAGES/monodevelop.mo
Xshare/locale/sv/LC_MESSAGES/monodevelop.mo
Xshare/locale/tr/LC_MESSAGES/monodevelop.mo
Xshare/locale/zh_CN/LC_MESSAGES/monodevelop.mo
Xshare/locale/zh_TW/LC_MESSAGES/monodevelop.mo
Xshare/mime/XMLnamespaces
Xshare/mime/aliases
Xshare/mime/application/x-asax.xml
Xshare/mime/application/x-ascx.xml
Xshare/mime/application/x-ashx.xml
Xshare/mime/application/x-asix.xml
Xshare/mime/application/x-asmx.xml
Xshare/mime/application/x-aspx.xml
Xshare/mime/application/x-axd.xml
Xshare/mime/application/x-cmbx.xml
Xshare/mime/application/x-config.xml
Xshare/mime/application/x-disco.xml
Xshare/mime/application/x-machine-config.xml
Xshare/mime/application/x-master-page.xml
Xshare/mime/application/x-mdp.xml
Xshare/mime/application/x-mds.xml
Xshare/mime/application/x-mdsx.xml
Xshare/mime/application/x-prjx.xml
Xshare/mime/application/x-remoting.xml
Xshare/mime/application/x-resources.xml
Xshare/mime/application/x-resourcesx.xml
Xshare/mime/application/x-soap-remoting.xml
Xshare/mime/application/x-web-config.xml
Xshare/mime/application/x-wsdl.xml
Xshare/mime/generic-icons
Xshare/mime/globs
Xshare/mime/globs2
Xshare/mime/icons
Xshare/mime/magic
Xshare/mime/mime.cache
Xshare/mime/packages/monodevelop.xml
Xshare/mime/subclasses
Xshare/mime/text/x-csharp.xml
Xshare/mime/text/x-js.xml
Xshare/mime/text/x-msil.xml
Xshare/mime/text/x-nemerle.xml
Xshare/mime/text/x-vb.xml
Xshare/mime/treemagic
Xshare/mime/types
X@dirrmtry share/applications
X@dirrmtry share/locale/sv/LC_MESSAGES
X@dirrmtry share/locale/sv
X@dirrmtry share/locale/ja/LC_MESSAGES
X@dirrmtry share/locale/ja
X@dirrm lib/monodevelop/data/options
X@dirrm lib/monodevelop/data
X@dirrm lib/monodevelop/bin
X@dirrm lib/monodevelop/AddIns/WelcomePage
X@dirrm lib/monodevelop/AddIns/VersionControl
X@dirrm lib/monodevelop/AddIns/NUnit
X@dirrm lib/monodevelop/AddIns/MonoDeveloperExtensions
X@dirrm lib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas
X@dirrm lib/monodevelop/AddIns/MonoDevelop.XmlEditor
X@dirrm lib/monodevelop/AddIns/MonoDevelop.WebReferences
X@dirrm lib/monodevelop/AddIns/MonoDevelop.RegexToolkit
X@dirrm lib/monodevelop/AddIns/MonoDevelop.MsVisualStudio
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Moonlight
X@dirrm lib/monodevelop/AddIns/MonoDevelop.GtkCore
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Gettext
X@dirrm lib/monodevelop/AddIns/MonoDevelop.DesignerSupport
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Deployment
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Debugger
X@dirrm lib/monodevelop/AddIns/MonoDevelop.CodeMetrics
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Autotools/templates
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Autotools
X@dirrm lib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas
X@dirrm lib/monodevelop/AddIns/MonoDevelop.AspNet
X@dirrm lib/monodevelop/AddIns/GnomePlatform
X@dirrm lib/monodevelop/AddIns/ChangeLogAddIn
X@dirrm lib/monodevelop/AddIns/BackendBindings
X@dirrm lib/monodevelop/AddIns
X@dirrm lib/monodevelop
X@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
X@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
X@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
X@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
c5001eaddf4c5934a0436505e9123616
echo x - monodevelop/Makefile
sed 's/^X//' >monodevelop/Makefile << 'b7d0236cf760f191bb60ea3367ad3b59'
X# New ports collection makefile for:    	monodevelop
X# Date created:         			20040906
X# Whom:				Tom McLaughlin <tmclaugh@sdf.lonestar.org>
X#
X# $FreeBSD$
X#   $Id: Makefile,v 1.48 2007/11/07 20:30:04 killfill Exp $
X#
X
XPORTNAME=	monodevelop
XPORTVERSION=	2.0
XPORTREVISION=	1
XCATEGORIES=	devel
XMASTER_SITES=	http://ftp.novell.com/pub/mono/sources/${PORTNAME}/
X
XMAINTAINER=	mono@FreeBSD.org
XCOMMENT=	IDE for the .NET platform
X
XBUILD_DEPENDS=	mautil:${PORTSDIR}/devel/mono-addins \
X		update-desktop-database:${PORTSDIR}/devel/desktop-file-utils
XRUN_DEPENDS=	${LOCALBASE}/lib/libgdiplus.a:${PORTSDIR}/x11-toolkits/libgdiplus \
X		exctags:${PORTSDIR}/devel/ctags \
X		mautil:${PORTSDIR}/devel/mono-addins
X
XUSE_GNOME=	gnometarget gnomehack gtksharp20 gnomesharp20
XUSE_GMAKE=	yes
XUSE_AUTOTOOLS=	libtool:22
XUSE_BZIP2=	yes
XCONFIGURE_ARGS+=	DATADIRNAME=share GMSGFMT=msgfmt \
X			--enable-aspnet --enable-aspnetedit
XMAN1=		mdtool.1 monodevelop.1
XUSE_GETTEXT=	yes
XINSTALLS_ICONS=	yes
X
XOPTIONS=	SVN "Enable subversion support" on
X
X.include <bsd.port.pre.mk>
X
X.if !defined(WITHOUT_SVN)
XRUN_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
XCONFIGURE_ARGS+=	--enable-subversion
XPLIST_SUB+=	SVN=""
X.else
XCONFIGURE_ARGS+=	--disable-subversion
XPLIST_SUB+=	SVN="@comment "
X.endif
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|[(]gnome_data[)]/mime$$|(prefix)/share/mime|g ; \
X		s|[(]gnome_data[)]/mime/packages$$|(prefix)/share/mime/packages|g ; \
X		s|[(]prefix[)]/lib/pkgconfig|(prefix)/libdata/pkgconfig|g' \
X			${WRKSRC}/Makefile.in
X	@${REINPLACE_CMD} -e 's|/bin/bash|/usr/bin/env bash|' \
X		${WRKSRC}/monodevelop.in \
X		${WRKSRC}/mdtool.in
X
Xpost-install:
X	@-update-desktop-database
X
X.include "${.CURDIR}/../../lang/mono/bsd.mono.mk"
X.include <bsd.port.post.mk>
b7d0236cf760f191bb60ea3367ad3b59
exit

--- monodevelop.shar ends here ---


-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 4 Tom McLaughlin freebsd_committer 2009-08-18 18:43:34 UTC
Responsible Changed
From-To: tmclaugh->mono

Assign to mono@
Comment 5 Romain Tartière 2009-09-02 13:10:58 UTC
Add a minor patch to the shar:

--- monodevelop.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	monodevelop
#	monodevelop/files
#	monodevelop/files/patch-WelcomePageContent.xml
#	monodevelop/files/patch-SystemAssemblyService.cs
#	monodevelop/files/patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs
#	monodevelop/files/patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config
#	monodevelop/files/patch-src_addins_MonoDevelop.Autotools_SolutionDeployer.cs
#	monodevelop/files/patch-LibApr.cs
#	monodevelop/files/patch-theme-icons_icon-theme-installer
#	monodevelop/files/patch-LibSvnClient.cs
#	monodevelop/files/patch-src_addins_CBinding_Parser_TagDatabaseManager.cs
#	monodevelop/distinfo
#	monodevelop/pkg-descr
#	monodevelop/pkg-plist
#	monodevelop/Makefile
#
echo c - monodevelop
mkdir -p monodevelop > /dev/null 2>&1
echo c - monodevelop/files
mkdir -p monodevelop/files > /dev/null 2>&1
echo x - monodevelop/files/patch-WelcomePageContent.xml
sed 's/^X//' >monodevelop/files/patch-WelcomePageContent.xml << 'ff46c9570160a03920aa3ac840f34058'
X--- src/addins/WelcomePage/WelcomePageContent.xml.orig	2008-12-22 20:22:30.000000000 -0300
X+++ src/addins/WelcomePage/WelcomePageContent.xml	2008-12-22 20:24:10.000000000 -0300
X@@ -16,6 +16,11 @@
X 	
X 	<Links _title="Support Links">
X 		<Link
X+                       href="http://www.mono-project.com/Mono:FreeBSD"
X+                       _title="BSD# Project Home Page"
X+               />
X+               <Link
X+
X 			href="http://www.monodevelop.com"
X 			_title="MonoDevelop Home Page"
X 		/>
ff46c9570160a03920aa3ac840f34058
echo x - monodevelop/files/patch-SystemAssemblyService.cs
sed 's/^X//' >monodevelop/files/patch-SystemAssemblyService.cs << 'f2069bbeb3178508d4411e29eda1a60c'
X
X$FreeBSD$
X
X--- src/core/MonoDevelop.Core/MonoDevelop.Core/SystemAssemblyService.cs.orig
X+++ src/core/MonoDevelop.Core/MonoDevelop.Core/SystemAssemblyService.cs
X@@ -412,6 +412,7 @@
X 			
X 			string[] suffixes = new string [] {
X 				Path.Combine ("lib", "pkgconfig"),
X+				Path.Combine ("libdata", "pkgconfig"),
X 				Path.Combine ("lib64", "pkgconfig"),
X 				Path.Combine ("share", "pkgconfig"),
X 			};
f2069bbeb3178508d4411e29eda1a60c
echo x - monodevelop/files/patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs
sed 's/^X//' >monodevelop/files/patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs << 'b9537b0056e60b9b471c64e743f195d2'
X
X$FreeBSD$
X
X--- src/addins/CBinding/Navigation/ProjectNodeBuilderExtension.cs.orig
X+++ src/addins/CBinding/Navigation/ProjectNodeBuilderExtension.cs
X@@ -97,7 +97,7 @@
X 			check_ctags = true;
X 			
X 			try {
X-				ProcessWrapper p = Runtime.ProcessService.StartProcess ("ctags", "--version", null, null);
X+				ProcessWrapper p = Runtime.ProcessService.StartProcess ("exctags", "--version", null, null);
X 				p.WaitForOutput ();
X 				have_ctags = true;
X 			} catch {
b9537b0056e60b9b471c64e743f195d2
echo x - monodevelop/files/patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config
sed 's/^X//' >monodevelop/files/patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config << '3aa7559484dbd1feb34daad3049702ca'
X
X$FreeBSD$
X
X--- src/core/MonoDevelop.Projects/MonoDevelop.Projects.dll.config.orig
X+++ src/core/MonoDevelop.Projects/MonoDevelop.Projects.dll.config
X@@ -1,4 +1,4 @@
X <configuration>
X-  <dllmap dll="libglib-2.0-0.dll" target="libglib-2.0.so.0" os="linux" />
X+  <dllmap dll="libglib-2.0-0.dll" target="libglib-2.0.so.0" os="!osx,windows" />
X   <dllmap dll="libglib-2.0-0.dll" target="libglib-2.0.dylib" os="osx" />
X </configuration>
3aa7559484dbd1feb34daad3049702ca
echo x - monodevelop/files/patch-src_addins_MonoDevelop.Autotools_SolutionDeployer.cs
sed 's/^X//' >monodevelop/files/patch-src_addins_MonoDevelop.Autotools_SolutionDeployer.cs << '6a40a940b30e12e15fe8b8adbf1ef20c'
X
X$FreeBSD$
X
X--- src/addins/MonoDevelop.Autotools/SolutionDeployer.cs.orig
X+++ src/addins/MonoDevelop.Autotools/SolutionDeployer.cs
X@@ -171,7 +171,7 @@
X 				chainedOutput.ChainWriter (monitor.Log);
X 				chainedOutput.ChainWriter (sw);
X 
X-				ProcessWrapper process = Runtime.ProcessService.StartProcess ( "make", 
X+				ProcessWrapper process = Runtime.ProcessService.StartProcess ( "gmake", 
X 						"dist", 
X 						baseDir, 
X 						chainedOutput, 
X@@ -180,7 +180,7 @@
X 				process.WaitForOutput ();
X 
X 				if ( process.ExitCode > 0 )
X-					throw new Exception ( GettextCatalog.GetString ("An unspecified error occurred while running '{0}'", "make dist") );
X+					throw new Exception ( GettextCatalog.GetString ("An unspecified error occurred while running '{0}'", "gmake dist") );
X 
X 				monitor.Step ( 1 );
X 
6a40a940b30e12e15fe8b8adbf1ef20c
echo x - monodevelop/files/patch-LibApr.cs
sed 's/^X//' >monodevelop/files/patch-LibApr.cs << '0960a40c4c77676a8aaee21867aed3fc'
X--- src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs.orig	2008-12-22 19:02:40.000000000 -0300
X+++ src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibApr.cs	2008-12-22 19:02:53.000000000 -0300
X@@ -65,7 +65,7 @@
X 
X 	public class LibApr0: LibApr
X 	{
X-		private const string aprlib = "libapr-0.so.0";
X+		private const string aprlib = "libapr-1.so.3";
X 		
X 		public override void initialize() { apr_initialize (); }
X 		public override IntPtr pool_create_ex (out IntPtr pool, IntPtr parent, IntPtr abort, IntPtr allocator) { return apr_pool_create_ex(out pool, parent, abort, allocator); }
0960a40c4c77676a8aaee21867aed3fc
echo x - monodevelop/files/patch-theme-icons_icon-theme-installer
sed 's/^X//' >monodevelop/files/patch-theme-icons_icon-theme-installer << '2e00847088dfe422e765db72b6b447e1'
X
X$FreeBSD$
X
X--- theme-icons/icon-theme-installer.orig
X+++ theme-icons/icon-theme-installer
X@@ -1,4 +1,4 @@
X-#!/bin/bash
X+#!/usr/bin/env bash
X 
X # icon-theme-installer
X # Copyright (C) 2006 Novell, Inc.
X@@ -101,12 +101,12 @@
X 	exit 1
X fi
X 
X-if test ! -x $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
X+if ! which $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
X 	echo "Cannot find '$MKINSTALLDIRS_EXEC'; You probably want to pass -m \$(mkinstalldirs)"
X 	exit 1
X fi
X 
X-if test ! -x $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
X+if ! which $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
X 	echo "Cannot find '$INSTALL_DATA_EXEC'; You probably want to pass -x \$(INSTALL_DATA)"
X 	exit 1
X fi
2e00847088dfe422e765db72b6b447e1
echo x - monodevelop/files/patch-LibSvnClient.cs
sed 's/^X//' >monodevelop/files/patch-LibSvnClient.cs << '2828178ed3ad1417d54bf82a1be76d13'
X
X$FreeBSD$
X
X--- src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs.orig
X+++ src/addins/VersionControl/MonoDevelop.VersionControl.Subversion/MonoDevelop.VersionControl.Subversion/LibSvnClient.cs
X@@ -600,6 +600,7 @@
X 	
X 	public class LibSvnClient0 : LibSvnClient {
X 		private const string svnclientlib = "libsvn_client-1.so.0";
X+		private const string svnsubrlib = "libsvn_subr-1.so.0";
X 		
X 		public override void config_ensure (string config_dir, IntPtr pool)
X 		{
X@@ -843,11 +844,11 @@
X 			return svn_client_prop_get (out value, name, target, ref revision, recurse, ctx, pool);
X 		}
X 		
X-		[DllImport(svnclientlib)] static extern void svn_config_ensure (string config_dir, IntPtr pool);
X-		[DllImport(svnclientlib)] static extern void svn_config_get_config (ref IntPtr cfg_hash, string config_dir, IntPtr pool);
X-		[DllImport(svnclientlib)] static extern void svn_auth_open (out IntPtr auth_baton, IntPtr providers, IntPtr pool);
X-		[DllImport(svnclientlib)] static extern void svn_auth_set_parameter (IntPtr auth_baton, string name, IntPtr value);
X-		[DllImport(svnclientlib)] static extern IntPtr svn_auth_get_parameter (IntPtr auth_baton, string name);
X+		[DllImport(svnsubrlib)] static extern void svn_config_ensure (string config_dir, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern void svn_config_get_config (ref IntPtr cfg_hash, string config_dir, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern void svn_auth_open (out IntPtr auth_baton, IntPtr providers, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern void svn_auth_set_parameter (IntPtr auth_baton, string name, IntPtr value);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_auth_get_parameter (IntPtr auth_baton, string name);
X 		[DllImport(svnclientlib)] static extern void svn_client_get_simple_provider (IntPtr item, IntPtr pool);
X 		[DllImport(svnclientlib)] static extern void svn_client_get_simple_prompt_provider (IntPtr item, svn_auth_simple_prompt_func_t prompt_func, IntPtr prompt_batton, [MarshalAs (UnmanagedType.SysInt)] int retry_limit, IntPtr pool);
X 		[DllImport(svnclientlib)] static extern void svn_client_get_username_provider (IntPtr item, IntPtr pool);
X@@ -880,7 +881,7 @@
X 		                                                               IntPtr receiver_baton,
X 		                                                               IntPtr ctx, IntPtr pool);
X 		
X-		[DllImport(svnclientlib)] static extern IntPtr svn_time_from_cstring (out long aprtime, string time, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_time_from_cstring (out long aprtime, string time, IntPtr pool);
X 		
X 		[DllImport(svnclientlib)] static extern IntPtr svn_client_url_from_path (ref IntPtr url, string path_or_url, IntPtr pool);
X 		
X@@ -889,11 +890,11 @@
X 		                                                                ref Rev revision,
X 		                                                                IntPtr ctx, IntPtr pool);
X 		
X-		[DllImport(svnclientlib)] static extern IntPtr svn_stream_create (IntPtr baton, IntPtr pool);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_stream_create (IntPtr baton, IntPtr pool);
X 		
X 		//[DllImport(svnclientlib)] static extern IntPtr svn_stream_set_read (IntPtr stream, svn_readwrite_fn_t reader);
X 		
X-		[DllImport(svnclientlib)] static extern IntPtr svn_stream_set_write (IntPtr stream, svn_readwrite_fn_t writer);
X+		[DllImport(svnsubrlib)] static extern IntPtr svn_stream_set_write (IntPtr stream, svn_readwrite_fn_t writer);
X 		
X 		[DllImport(svnclientlib)] static extern IntPtr svn_client_update (IntPtr result_rev, string path, ref Rev revision,
X 		                                                                  int recurse, IntPtr ctx, IntPtr pool);
2828178ed3ad1417d54bf82a1be76d13
echo x - monodevelop/files/patch-src_addins_CBinding_Parser_TagDatabaseManager.cs
sed 's/^X//' >monodevelop/files/patch-src_addins_CBinding_Parser_TagDatabaseManager.cs << 'e8038474b1c189bd3d2f67a0bf6556a3'
X
X$FreeBSD$
X
X--- src/addins/CBinding/Parser/TagDatabaseManager.cs.orig
X+++ src/addins/CBinding/Parser/TagDatabaseManager.cs
X@@ -86,7 +86,7 @@
X 						return false;
X 					}
X 					try {
X-						Runtime.ProcessService.StartProcess ("ctags", "--version", null, null).WaitForOutput ();
X+						Runtime.ProcessService.StartProcess ("exctags", "--version", null, null).WaitForOutput ();
X 					} catch {
X 						LoggingService.LogWarning ("Cannot update C/C++ tags database because exuberant ctags is not installed.");
X 						return false;
X@@ -273,7 +273,7 @@
X 				try {
X 					output = new System.IO.StringWriter ();
X 					
X-					p = Runtime.ProcessService.StartProcess ("ctags", ctags_options, null, null, output, null);
X+					p = Runtime.ProcessService.StartProcess ("exctags", ctags_options, null, null, output, null);
X 					p.WaitForOutput (10000);
X 					if (p.ExitCode != 0 || !File.Exists (tagFullFileName)) {
X 						LoggingService.LogError ("Ctags did not successfully populate the tags database '{0}' within ten seconds.\nOutput: {1}", tagFullFileName, output.ToString ());
X@@ -377,7 +377,7 @@
X 				output = new System.IO.StringWriter ();
X 				error = new System.IO.StringWriter ();
X 				
X-				p = Runtime.ProcessService.StartProcess ("ctags", ctags_options, project.BaseDirectory, output, error, null);
X+				p = Runtime.ProcessService.StartProcess ("exctags", ctags_options, project.BaseDirectory, output, error, null);
X 				p.WaitForOutput (10000);
X 				if (p.ExitCode != 0) {
X 					LoggingService.LogError ("Ctags did not successfully populate the tags database from '{0}' within ten seconds.\nError output: {1}", filename, error.ToString ());
e8038474b1c189bd3d2f67a0bf6556a3
echo x - monodevelop/distinfo
sed 's/^X//' >monodevelop/distinfo << '1a4cc67f3bd269bce833fa8b5fcd4068'
XMD5 (monodevelop-2.0.tar.bz2) = 0f527204ffd4785284d9556a75524c3e
XSHA256 (monodevelop-2.0.tar.bz2) = 573fd6dda40f6b46866bb8b40b92d2ed279be504d2e943ab5ae65e38c136d984
XSIZE (monodevelop-2.0.tar.bz2) = 5010211
1a4cc67f3bd269bce833fa8b5fcd4068
echo x - monodevelop/pkg-descr
sed 's/^X//' >monodevelop/pkg-descr << 'c92ea17ba98895afa7dcd643d5bd6807'
XMonoDevelop is a free GNOME integrated development environment (IDE) 
Xprimarily designed for C# and other .NET languages. 
X
XIt was originally a port of SharpDevelop 0.98.
X
XThe main features of MonoDevelop are:
X
X	* Code Completion
X	* Class Management
X	* Built-in Help
X	* Project Support
X	* Add-ins
X
XWWW: http://monodevelop.com/
c92ea17ba98895afa7dcd643d5bd6807
echo x - monodevelop/pkg-plist
sed 's/^X//' >monodevelop/pkg-plist << 'c5001eaddf4c5934a0436505e9123616'
Xbin/mdtool
Xbin/monodevelop
Xlib/monodevelop/AddIns/BackendBindings/ILAsmBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/ILAsmBinding.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CBinding.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.Autotools.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.Autotools.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll.mdb
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll
Xlib/monodevelop/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll.mdb
Xlib/monodevelop/AddIns/ChangeLogAddIn/ChangeLogAddIn.dll
Xlib/monodevelop/AddIns/ChangeLogAddIn/ChangeLogAddIn.dll.mdb
Xlib/monodevelop/AddIns/GnomePlatform/GnomePlatform.dll
Xlib/monodevelop/AddIns/GnomePlatform/GnomePlatform.dll.config
Xlib/monodevelop/AddIns/GnomePlatform/GnomePlatform.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/MonoDevelop.AspNet.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/W3C-License.html
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/readme.txt
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/xhtml1-frameset.xsd
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/xhtml1-strict.xsd
Xlib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas/xhtml1-transitional.xsd
Xlib/monodevelop/AddIns/MonoDevelop.AssemblyBrowser.dll
Xlib/monodevelop/AddIns/MonoDevelop.AssemblyBrowser.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.am.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.include
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.noauto.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/Makefile.solution.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/autogen.sh.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/configure.ac.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/configure.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/exe.wrapper.in.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/expansions.m4
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/make-dist.targets
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/package.pc.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/rules.make
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.am.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.include
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.noauto.project.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/Makefile.solution.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/autogen.sh.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/configure.ac.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/configure.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/exe.wrapper.in.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/expansions.m4
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/make-dist.targets
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/package.pc.template
Xlib/monodevelop/AddIns/MonoDevelop.Autotools/templates/rules.make
Xlib/monodevelop/AddIns/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.dll
Xlib/monodevelop/AddIns/MonoDevelop.CodeMetrics/MonoDevelop.CodeMetrics.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Debugger/MonoDevelop.Debugger.dll
Xlib/monodevelop/AddIns/MonoDevelop.Debugger/MonoDevelop.Debugger.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll
Xlib/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll
Xlib/monodevelop/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.Gettext/MonoDevelop.Gettext.dll
Xlib/monodevelop/AddIns/MonoDevelop.Gettext/MonoDevelop.Gettext.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.config
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libstetic.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libsteticui.dll
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libsteticui.dll.config
Xlib/monodevelop/AddIns/MonoDevelop.GtkCore/libsteticui.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.MsVisualStudio/MonoDevelop.MsVisualStudio.dll
Xlib/monodevelop/AddIns/MonoDevelop.MsVisualStudio/MonoDevelop.MsVisualStudio.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.RegexToolkit/MonoDevelop.RegexToolkit.dll
Xlib/monodevelop/AddIns/MonoDevelop.RegexToolkit/MonoDevelop.RegexToolkit.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.SourceEditor2.dll
Xlib/monodevelop/AddIns/MonoDevelop.SourceEditor2.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.WebReferences/MonoDevelop.WebReferences.dll
Xlib/monodevelop/AddIns/MonoDevelop.WebReferences/MonoDevelop.WebReferences.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/MonoDevelop.XmlEditor.dll.mdb
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/MonoDevelopAddIn.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/W3C-License.html
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/XMLSchema.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/appconfig.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/manifest.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/nant.xsd
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/readme.txt
Xlib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas/xslt.xsd
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions.dll
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions.dll.mdb
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions_nunit.dll
Xlib/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions_nunit.dll.mdb
Xlib/monodevelop/AddIns/NUnit/MonoDevelop.NUnit.dll
Xlib/monodevelop/AddIns/NUnit/MonoDevelop.NUnit.dll.mdb
Xlib/monodevelop/AddIns/NUnit/NUnitRunner.dll
Xlib/monodevelop/AddIns/NUnit/NUnitRunner.dll.mdb
Xlib/monodevelop/AddIns/NUnit/nunit.core.dll
Xlib/monodevelop/AddIns/NUnit/nunit.core.interfaces.dll
Xlib/monodevelop/AddIns/NUnit/nunit.framework.dll
Xlib/monodevelop/AddIns/NUnit/nunit.util.dll
Xlib/monodevelop/AddIns/VersionControl/Diff.dll
Xlib/monodevelop/AddIns/VersionControl/Diff.dll.mdb
Xlib/monodevelop/AddIns/VersionControl/DiffWidget.dll
Xlib/monodevelop/AddIns/VersionControl/DiffWidget.dll.mdb
X%%SVN%%lib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.Subversion.dll
X%%SVN%%lib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.Subversion.dll.config
X%%SVN%%lib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.Subversion.dll.mdb
Xlib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.dll
Xlib/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.dll.mdb
Xlib/monodevelop/AddIns/WelcomePage/WelcomePage.css
Xlib/monodevelop/AddIns/WelcomePage/WelcomePage.dll
Xlib/monodevelop/AddIns/WelcomePage/WelcomePage.dll.mdb
Xlib/monodevelop/AddIns/WelcomePage/mono-bg.png
Xlib/monodevelop/AddIns/WelcomePage/mono-decoration.png
Xlib/monodevelop/AddIns/WelcomePage/mono-logo.png
Xlib/monodevelop/bin/Mono.Cecil.Mdb.dll
Xlib/monodevelop/bin/Mono.Cecil.Mdb.dll.mdb
Xlib/monodevelop/bin/Mono.Cecil.dll
Xlib/monodevelop/bin/Mono.Cecil.dll.mdb
Xlib/monodevelop/bin/Mono.Debugging.dll
Xlib/monodevelop/bin/Mono.Debugging.dll.mdb
Xlib/monodevelop/bin/Mono.TextEditor.dll
Xlib/monodevelop/bin/Mono.TextEditor.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Components.dll
Xlib/monodevelop/bin/MonoDevelop.Components.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Core.Gui.dll
Xlib/monodevelop/bin/MonoDevelop.Core.Gui.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Core.dll
Xlib/monodevelop/bin/MonoDevelop.Core.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Dock.dll
Xlib/monodevelop/bin/MonoDevelop.Dock.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Ide.dll
Xlib/monodevelop/bin/MonoDevelop.Ide.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Projects.Gui.dll
Xlib/monodevelop/bin/MonoDevelop.Projects.Gui.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.Projects.dll
Xlib/monodevelop/bin/MonoDevelop.Projects.dll.config
Xlib/monodevelop/bin/MonoDevelop.Projects.dll.mdb
Xlib/monodevelop/bin/MonoDevelop.exe
Xlib/monodevelop/bin/MonoDevelop.exe.addins
Xlib/monodevelop/bin/MonoDevelop.exe.config
Xlib/monodevelop/bin/MonoDevelop.exe.mdb
Xlib/monodevelop/bin/NRefactory.dll
Xlib/monodevelop/bin/NRefactory.dll.mdb
Xlib/monodevelop/bin/mdhost.exe
Xlib/monodevelop/bin/mdhost.exe.mdb
Xlib/monodevelop/bin/mdrun.exe
Xlib/monodevelop/bin/mdrun.exe.config
Xlib/monodevelop/bin/mdrun.exe.mdb
Xlib/monodevelop/data/options/DefaultEditingLayout.xml
Xlib/monodevelop/data/options/MonoDevelop-templates.xml
Xlib/monodevelop/data/options/MonoDevelop-tools.xml
Xlib/monodevelop/data/options/MonoDevelopProperties.xml
Xlib/monodevelop/data/options/StandardHeader.xml
Xlib/monodevelop/data/options/TipsOfTheDay.xml
Xlibdata/pkgconfig/monodevelop.pc
Xlibdata/pkgconfig/monodevelop-core-addins.pc
Xshare/applications/monodevelop.desktop
Xshare/icons/hicolor/16x16/apps/monodevelop.png
Xshare/icons/hicolor/22x22/apps/monodevelop.png
Xshare/icons/hicolor/24x24/apps/monodevelop.png
Xshare/icons/hicolor/32x32/apps/monodevelop.png
Xshare/icons/hicolor/48x48/apps/monodevelop.png
Xshare/icons/hicolor/scalable/apps/monodevelop.svg
Xshare/locale/ca/LC_MESSAGES/monodevelop.mo
Xshare/locale/cs/LC_MESSAGES/monodevelop.mo
Xshare/locale/da/LC_MESSAGES/monodevelop.mo
Xshare/locale/de/LC_MESSAGES/monodevelop.mo
Xshare/locale/es/LC_MESSAGES/monodevelop.mo
Xshare/locale/fr/LC_MESSAGES/monodevelop.mo
Xshare/locale/gl/LC_MESSAGES/monodevelop.mo
Xshare/locale/hu/LC_MESSAGES/monodevelop.mo
Xshare/locale/id/LC_MESSAGES/monodevelop.mo
Xshare/locale/it/LC_MESSAGES/monodevelop.mo
Xshare/locale/ja/LC_MESSAGES/monodevelop.mo
Xshare/locale/nl/LC_MESSAGES/monodevelop.mo
Xshare/locale/sl/LC_MESSAGES/monodevelop.mo
Xshare/locale/pl/LC_MESSAGES/monodevelop.mo
Xshare/locale/pt/LC_MESSAGES/monodevelop.mo
Xshare/locale/pt_BR/LC_MESSAGES/monodevelop.mo
Xshare/locale/ru/LC_MESSAGES/monodevelop.mo
Xshare/locale/sv/LC_MESSAGES/monodevelop.mo
Xshare/locale/tr/LC_MESSAGES/monodevelop.mo
Xshare/locale/zh_CN/LC_MESSAGES/monodevelop.mo
Xshare/locale/zh_TW/LC_MESSAGES/monodevelop.mo
Xshare/mime/XMLnamespaces
Xshare/mime/aliases
Xshare/mime/application/x-asax.xml
Xshare/mime/application/x-ascx.xml
Xshare/mime/application/x-ashx.xml
Xshare/mime/application/x-asix.xml
Xshare/mime/application/x-asmx.xml
Xshare/mime/application/x-aspx.xml
Xshare/mime/application/x-axd.xml
Xshare/mime/application/x-cmbx.xml
Xshare/mime/application/x-config.xml
Xshare/mime/application/x-disco.xml
Xshare/mime/application/x-machine-config.xml
Xshare/mime/application/x-master-page.xml
Xshare/mime/application/x-mdp.xml
Xshare/mime/application/x-mds.xml
Xshare/mime/application/x-mdsx.xml
Xshare/mime/application/x-prjx.xml
Xshare/mime/application/x-remoting.xml
Xshare/mime/application/x-resources.xml
Xshare/mime/application/x-resourcesx.xml
Xshare/mime/application/x-soap-remoting.xml
Xshare/mime/application/x-web-config.xml
Xshare/mime/application/x-wsdl.xml
Xshare/mime/generic-icons
Xshare/mime/globs
Xshare/mime/globs2
Xshare/mime/icons
Xshare/mime/magic
Xshare/mime/mime.cache
Xshare/mime/packages/monodevelop.xml
Xshare/mime/subclasses
Xshare/mime/text/x-csharp.xml
Xshare/mime/text/x-js.xml
Xshare/mime/text/x-msil.xml
Xshare/mime/text/x-nemerle.xml
Xshare/mime/text/x-vb.xml
Xshare/mime/treemagic
Xshare/mime/types
X@dirrmtry share/applications
X@dirrmtry share/locale/sv/LC_MESSAGES
X@dirrmtry share/locale/sv
X@dirrmtry share/locale/ja/LC_MESSAGES
X@dirrmtry share/locale/ja
X@dirrm lib/monodevelop/data/options
X@dirrm lib/monodevelop/data
X@dirrm lib/monodevelop/bin
X@dirrm lib/monodevelop/AddIns/WelcomePage
X@dirrm lib/monodevelop/AddIns/VersionControl
X@dirrm lib/monodevelop/AddIns/NUnit
X@dirrm lib/monodevelop/AddIns/MonoDeveloperExtensions
X@dirrm lib/monodevelop/AddIns/MonoDevelop.XmlEditor/schemas
X@dirrm lib/monodevelop/AddIns/MonoDevelop.XmlEditor
X@dirrm lib/monodevelop/AddIns/MonoDevelop.WebReferences
X@dirrm lib/monodevelop/AddIns/MonoDevelop.RegexToolkit
X@dirrm lib/monodevelop/AddIns/MonoDevelop.MsVisualStudio
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Moonlight
X@dirrm lib/monodevelop/AddIns/MonoDevelop.GtkCore
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Gettext
X@dirrm lib/monodevelop/AddIns/MonoDevelop.DesignerSupport
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Deployment
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Debugger
X@dirrm lib/monodevelop/AddIns/MonoDevelop.CodeMetrics
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Autotools/templates
X@dirrm lib/monodevelop/AddIns/MonoDevelop.Autotools
X@dirrm lib/monodevelop/AddIns/MonoDevelop.AspNet/Schemas
X@dirrm lib/monodevelop/AddIns/MonoDevelop.AspNet
X@dirrm lib/monodevelop/AddIns/GnomePlatform
X@dirrm lib/monodevelop/AddIns/ChangeLogAddIn
X@dirrm lib/monodevelop/AddIns/BackendBindings
X@dirrm lib/monodevelop/AddIns
X@dirrm lib/monodevelop
X@exec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
X@unexec %%LOCALBASE%%/bin/update-mime-database %D/share/mime
X@exec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
X@unexec %%LOCALBASE%%/bin/update-desktop-database > /dev/null || /usr/bin/true
c5001eaddf4c5934a0436505e9123616
echo x - monodevelop/Makefile
sed 's/^X//' >monodevelop/Makefile << 'b7d0236cf760f191bb60ea3367ad3b59'
X# New ports collection makefile for:    	monodevelop
X# Date created:         			20040906
X# Whom:				Tom McLaughlin <tmclaugh@sdf.lonestar.org>
X#
X# $FreeBSD$
X#   $Id: Makefile,v 1.48 2007/11/07 20:30:04 killfill Exp $
X#
X
XPORTNAME=	monodevelop
XPORTVERSION=	2.0
XPORTREVISION=	1
XCATEGORIES=	devel
XMASTER_SITES=	http://ftp.novell.com/pub/mono/sources/${PORTNAME}/
X
XMAINTAINER=	mono@FreeBSD.org
XCOMMENT=	IDE for the .NET platform
X
XBUILD_DEPENDS=	mautil:${PORTSDIR}/devel/mono-addins \
X		update-desktop-database:${PORTSDIR}/devel/desktop-file-utils
XRUN_DEPENDS=	${LOCALBASE}/lib/libgdiplus.a:${PORTSDIR}/x11-toolkits/libgdiplus \
X		exctags:${PORTSDIR}/devel/ctags \
X		mautil:${PORTSDIR}/devel/mono-addins
X
XUSE_GNOME=	gnometarget gnomehack gtksharp20 gnomesharp20
XUSE_GMAKE=	yes
XUSE_AUTOTOOLS=	libtool:22
XUSE_BZIP2=	yes
XCONFIGURE_ARGS+=	DATADIRNAME=share GMSGFMT=msgfmt \
X			--enable-aspnet --enable-aspnetedit
XMAN1=		mdtool.1 monodevelop.1
XUSE_GETTEXT=	yes
XINSTALLS_ICONS=	yes
X
XOPTIONS=	SVN "Enable subversion support" on
X
X.include <bsd.port.pre.mk>
X
X.if !defined(WITHOUT_SVN)
XRUN_DEPENDS+=	svn:${PORTSDIR}/devel/subversion
XCONFIGURE_ARGS+=	--enable-subversion
XPLIST_SUB+=	SVN=""
X.else
XCONFIGURE_ARGS+=	--disable-subversion
XPLIST_SUB+=	SVN="@comment "
X.endif
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|[(]gnome_data[)]/mime$$|(prefix)/share/mime|g ; \
X		s|[(]gnome_data[)]/mime/packages$$|(prefix)/share/mime/packages|g ; \
X		s|[(]prefix[)]/lib/pkgconfig|(prefix)/libdata/pkgconfig|g' \
X			${WRKSRC}/Makefile.in
X	@${REINPLACE_CMD} -e 's|/bin/bash|/usr/bin/env bash|' \
X		${WRKSRC}/monodevelop.in \
X		${WRKSRC}/mdtool.in
X
Xpost-install:
X	@-update-desktop-database
X
X.include "${.CURDIR}/../../lang/mono/bsd.mono.mk"
X.include <bsd.port.post.mk>
b7d0236cf760f191bb60ea3367ad3b59
exit

--- monodevelop.shar ends here ---


-- 
Romain Tartière <romain@blogreen.org>        http://romain.blogreen.org/
pgp: 8DAB A124 0DA4 7024 F82A  E748 D8E9 A33F FF56 FF43 (ID: 0xFF56FF43)
(plain text =non-HTML= PGP/GPG encrypted/signed e-mail much appreciated)
Comment 6 dfilter service freebsd_committer 2009-09-07 18:16:31 UTC
glewis      2009-09-07 17:16:23 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/monodevelop    Makefile distinfo pkg-descr pkg-plist 
    devel/monodevelop/files patch-LibApr.cs patch-LibSvnClient.cs 
                            patch-SystemAssemblyService.cs 
                            patch-WelcomePageContent.xml 
                            patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs 
                            patch-src_addins_CBinding_Parser_TagDatabaseManager.cs 
                            patch-src_addins_MonoDevelop.Autotools_SolutionDeployer.cs 
                            patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config 
                            patch-theme-icons_icon-theme-installer 
  Log:
  MonoDevelop is a free GNOME integrated development environment (IDE)
  primarily designed for C# and other .NET languages.
  
  The main features of MonoDevelop are:
  
          * Code Completion
          * Class Management
          * Built-in Help
          * Project Support
          * Add-ins
  
  PR:             117545
  Submitted by:   Romain Tartiere <romain at blogreen.org> (latest version)
  
  Revision  Changes    Path
  1.3621    +1 -0      ports/devel/Makefile
  1.1       +59 -0     ports/devel/monodevelop/Makefile (new)
  1.1       +3 -0      ports/devel/monodevelop/distinfo (new)
  1.1       +11 -0     ports/devel/monodevelop/files/patch-LibApr.cs (new)
  1.1       +53 -0     ports/devel/monodevelop/files/patch-LibSvnClient.cs (new)
  1.1       +13 -0     ports/devel/monodevelop/files/patch-SystemAssemblyService.cs (new)
  1.1       +14 -0     ports/devel/monodevelop/files/patch-WelcomePageContent.xml (new)
  1.1       +14 -0     ports/devel/monodevelop/files/patch-src_addins_CBinding_Navigation_ProjectNodeBuilderExtension.cs (new)
  1.1       +32 -0     ports/devel/monodevelop/files/patch-src_addins_CBinding_Parser_TagDatabaseManager.cs (new)
  1.1       +23 -0     ports/devel/monodevelop/files/patch-src_addins_MonoDevelop.Autotools_SolutionDeployer.cs (new)
  1.1       +11 -0     ports/devel/monodevelop/files/patch-src_core_MonoDevelop.Projects_MonoDevelop.Projects.dll.config (new)
  1.1       +26 -0     ports/devel/monodevelop/files/patch-theme-icons_icon-theme-installer (new)
  1.1       +14 -0     ports/devel/monodevelop/pkg-descr (new)
  1.1       +262 -0    ports/devel/monodevelop/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Greg Lewis freebsd_committer 2009-09-07 18:16:34 UTC
State Changed
From-To: open->closed

New port added. Thanks!